6.0.0-git
2019-03-24

[#13800] Vcard export - Categories (Tags) have a space added
Summary Vcard export - Categories (Tags) have a space added
Queue Turba
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester mail (at) harveybraun (dot) com
Created 2015-01-13 (1531 days ago)
Due
Updated 2017-10-20 (520 days ago)
Assigned
Resolved 2015-01-14 (1530 days ago)
Milestone 4.2.5
Patch No

History
2017-10-20 20:34:41 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 46d1eda5c1a62aee5b2f97e1d9360fd210e79f5b
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun, 10 Jan 2016 22:45:44 -0500

Bug: 13800 Fix splitting tags for EAS contacts.

  M lib/Driver.php

https://github.com/horde/turba/commit/46d1eda5c1a62aee5b2f97e1d9360fd210e79f5b
2016-01-11 03:46:34 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit b2a78e839ae79832090608ee024759f802234af9
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun Jan 10 22:44:13 2016 -0500

     Bug: 13800 Fix splitting tags for EAS contacts.

  turba/lib/Driver.php |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/b2a78e839ae79832090608ee024759f802234af9
2016-01-11 03:45:05 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 857571a9f7b49d5fb2c8c8c3a45b3b4f2f2ae89f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun Jan 10 22:44:13 2016 -0500

     Bug: 13800 Fix splitting tags for EAS contacts.

  turba/lib/Driver.php |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/857571a9f7b49d5fb2c8c8c3a45b3b4f2f2ae89f
2015-01-14 17:53:43 Jan Schneider Milestone ⇒ 4.2.5
 
2015-01-14 17:53:26 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2015-01-14 17:53:04 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit f68004b3c2f7bbc25dfe3883c7afb306abd9a582
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jan 14 18:52:44 2015 +0100

     [jan] Fix export format of tags to vCard 3.0 categories (Bug #13800).

  turba/docs/CHANGES |    1 +
  turba/package.xml  |    4 ++--
  2 files changed, 3 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/f68004b3c2f7bbc25dfe3883c7afb306abd9a582
2015-01-14 17:52:58 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit ddf5879e6293844112093388bcaf478835b6dc57
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jan 14 17:09:46 2015 +0100

     Fix splitting tags (Bug #13800).

  turba/lib/Driver.php |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/ddf5879e6293844112093388bcaf478835b6dc57
2015-01-14 16:13:32 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 1f509ea2fb3ce33fb1540f61d233818d25773fd5
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jan 14 17:09:46 2015 +0100

     Fix splitting tags (Bug #13800).

  turba/lib/Driver.php |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/1f509ea2fb3ce33fb1540f61d233818d25773fd5
2015-01-13 22:09:52 mail (at) harveybraun (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Vcard export - Categories (Tags) have a space added
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
When exporting contact information to a vcard file Turba adds a space 
after the comma separating the Categories names if there is more then 
one being used for a contact.

When importing this vcard to another contact list this space is then 
picked up as part of the Category Title and you end up with a new 
similar Category. If you then import the vcard for the contact from 
the external contact list bact to Turba it imports the new Category 
name which now includes a space at the beginning.

Exporting the contact again from Turba now uses the new Category name 
but the space after the comma on the Turba vcard export file is again 
added thereby creating another new Category.

Example
BEGIN:VCARD
VERSION:3.0
UID:xxxx@example.com
FN:John Doe
CATEGORIES:Motorbike, Diving
N:Doe;John;;;
END:VCARD

The space in front of Diving is not part of the Tag that was created 
in the Turba contact, it gets added to the vcard export.

Saved Queries